<?php
declare(strict_types=1);

namespace App\Entity\Booking;

use App\Entity\Access\Access;
//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ORM\Entity]
class WorkByUser
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'workByUsers')]
    private Work $work;

    #[ORM\ManyToOne(inversedBy: 'workByUsers')]
    private Access $student;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getWork(): ?Work
    {
        return $this->work;
    }

    public function setWork(?Work $work): self
    {
        $this->work = $work;

        return $this;
    }

    public function getStudent(): ?Access
    {
        return $this->student;
    }

    public function setStudent(?Access $student): self
    {
        $this->student = $student;

        return $this;
    }
}